function CustomMarkerGmap(point, map, args) {
	this.point = point;
	this.args = args;
	this.map = map;
	this.setMap(map);
}

CustomMarkerGmap.prototype = new google.maps.OverlayView();

CustomMarkerGmap.prototype.draw = function() {

	var self = this;

	var div = this.div;

	if (!div) {

		div = this.div = document.createElement('div');

		div.className = self.args.className;

		div.style.position = 'absolute';
		div.style.display = 'block';
		div.innerHTML = self.args.html;

		if (typeof(self.args.marker_id) !== 'undefined') {
			div.dataset.marker_id = self.args.marker_id;
		}

		google.maps.event.addDomListener(div, "click", function(event) {
			google.maps.event.trigger(self, "click");
		});

		var panes = this.getPanes();
		panes.overlayImage.appendChild(div);
	}

	//var point = self.map.getProjection().fromLatLngToPoint(this.latlng);
	//var point = this.getProjection().fromLatLngToDivPixel(this.latlng);

	if (this.point) {
		div.style.left = this.point.x + 'px';
		div.style.top = this.point.y + 'px';
	}
};

CustomMarkerGmap.prototype.remove = function() {
	if (this.div) {
		this.div.parentNode.removeChild(this.div);
		this.div = null;
	}
};

CustomMarkerGmap.prototype.getPosition = function() {
	return this.point;
};
